<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>ISExpand</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="ISExpand"><H1>ISExpand</H1></A>
Computes the union of two index sets, by concatenating 2 lists and removing duplicates. 
<H3><FONT COLOR="#CC3333">Synopsis</FONT></H3>
<PRE>
#include "petscis.h"  
PetscErrorCode ISExpand(IS is1,IS is2,IS *isout)
</PRE>
Collective on <A HREF="../IS/IS.html#IS">IS</A>
<P>
<H3><FONT COLOR="#CC3333">Input Parameter</FONT></H3>
<TABLE border="0" cellpadding="0" cellspacing="0">
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>is1 </B></TD><TD>- first index set
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>is2 </B></TD><TD>- index values to be added
</TD></TR></TABLE>
<P>
<H3><FONT COLOR="#CC3333">Output Parameters</FONT></H3>
<DT><B>isout </B> -is1 + is2 The index set is2 is appended to is1 removing duplicates
<br>
<P>
<H3><FONT COLOR="#CC3333">Notes</FONT></H3>
Negative values are removed from the lists. This requires O(imax-imin)
memory and O(imax-imin) work, where imin and imax are the bounds on the
indices in is1 and is2.
<P>

<P>
<H3><FONT COLOR="#CC3333">See Also</FONT></H3>
 <A HREF="../IS/ISDestroy.html#ISDestroy">ISDestroy</A>(), <A HREF="../IS/ISView.html#ISView">ISView</A>(), <A HREF="../IS/ISDifference.html#ISDifference">ISDifference</A>(), <A HREF="../IS/ISSum.html#ISSum">ISSum</A>()
<BR>
<P>
<P>
<P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>intermediate
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../src/vec/is/utils/isdiff.c.html#ISExpand">src/vec/is/utils/isdiff.c</A>
<BR><A HREF="./index.html">Index of all IS routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
</BODY></HTML>
